﻿namespace Portfolio.WebUI.Server.Components.Pages
{
    partial class Home
    {
        private List<string> skills;
        private List<string> tools;
        private List<string> courses;

        private bool isExperience = true;
        private bool isProjects = false;

        protected override async Task OnInitializedAsync()
        {
            var http = ClientFactory.CreateClient("LocalClient");
            skills = await http.GetFromJsonAsync<List<string>>("data/skills.json");
            tools = await http.GetFromJsonAsync<List<string>>("data/tools.json");
            courses = await http.GetFromJsonAsync<List<string>>("data/courses.json");
        }

        private void ToggleExperience()
        {
            if (!isExperience) 
            {
                isExperience = true;
                isProjects = false;
                StateHasChanged();
            }
        }

        private void ToggleProjects()
        {
            if (!isProjects)
            {
                isProjects = true;
                isExperience = false;
                StateHasChanged();
            }
        }
    }
}
